PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl Struct Reference

`#include <solvers/electrical/olddiffusion/diffusion1d.hpp>`

Inheritance diagram for plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl:
[legend]
Collaboration diagram for plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl:
[legend]

## Public Member Functions
| ConcentrationDataImpl (const DiffusionFem2DSolver *solver, shared_ptr< const MeshD< 2 > > dest_mesh, InterpolationMethod interp)
double | at (size_t i) const override
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< double >
virtual | ~LazyDataImpl ()
virtual double | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const double > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< double > | claim () const

## Public Attributes
const DiffusionFem2DSolver * | solver
shared_ptr< const MeshD< 2 > > | destination_mesh
InterpolationFlags | interpolationFlags
LazyData< double > | concentration

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< double >
typedef double | CellType

## Detailed Description

template<typename Geometry2DType>
struct plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl

Definition at line 148 of file diffusion1d.hpp.

## Constructor & Destructor Documentation

## ◆ ConcentrationDataImpl()

template<typename Geometry2DType >

plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::ConcentrationDataImpl | ( | const DiffusionFem2DSolver * | solver,
|  | shared_ptr< const MeshD< 2 > > | dest_mesh,
|  | InterpolationMethod | interp
| ) |  |

Definition at line 596 of file diffusion1d.cpp.

## Member Function Documentation

## ◆ at()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::at | ( | size_t | i | ) | const
| override

Definition at line 608 of file diffusion1d.cpp.

## ◆ size()

template<typename Geometry2DType >

size_t plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< double >.

Definition at line 158 of file diffusion1d.hpp.

## Member Data Documentation

## ◆ concentration

template<typename Geometry2DType >

LazyData<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::concentration

Definition at line 153 of file diffusion1d.hpp.

## ◆ destination_mesh

template<typename Geometry2DType >

shared_ptr<const MeshD<2> > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::destination_mesh

Definition at line 151 of file diffusion1d.hpp.

## ◆ interpolationFlags

template<typename Geometry2DType >

InterpolationFlags plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::interpolationFlags

Definition at line 152 of file diffusion1d.hpp.

## ◆ solver

template<typename Geometry2DType >

const DiffusionFem2DSolver* plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::ConcentrationDataImpl::solver

Definition at line 150 of file diffusion1d.hpp.

The documentation for this struct was generated from the following files:

- solvers/electrical/olddiffusion/diffusion1d.hpp
- solvers/electrical/olddiffusion/diffusion1d.cpp